package com.muyu.basic.abstracts;

import com.muyu.basic.BasicEngine;
import com.muyu.basic.handler.DataEngineRowHandler;
import com.muyu.core.domain.DataValue;

/**
 * @Author: DongZeLiang
 * @date: 2024/8/29
 * @Description: 数据值处理对象
 * @Version: 1.0
 */

public abstract class DataEngineRowActuator implements BasicEngine<DataValue[]> {

    public void set(DataValue[] dataValue){
        DataEngineRowHandler.set(dataValue);
    }

    public DataValue[] get(){
        return DataEngineRowHandler.get();
    }
}
