package com.muyu.access.data.base;


/**
 * @Author: DongZeLiang
 * @date: 2024/8/28
 * @Description: 数据源基准
 * @Version: 1.0
 */
public interface BaseDataSource {


    public void setQuery(BaseQuery baseQuery);

    public <T> T getQuery();

    public DataValue getDataValue();

    DataValue[] getRow();

    DataValue[][] getRows();

}
